<?php 

define('DATE_FORMAT', 'F j, Y, g:i a'); //set the date formatting
define('ROW_COUNT', 50); //maximum number of rows on each page

include('header.inc.php');

//set default guestmap ID
$guestmap_id = 1;

//if found, override default guestmap ID
if(intval($_GET['id']) > 0) {
	$guestmap_id = intval($_GET['id']);
}

//set default page
$page = 0;

//if found, override page
	if(intval($_GET['page']) > 0) {
	$page = intval($_GET['page']);
}

//set SQL limits depending on page number and amount of visible rows (defined in ROW_CONT)
$limit_start = ($page - 1) * ROW_COUNT;
$limit_end = $limit_start + ROW_COUNT + 1;


$gmList = '';

//get all the different guestmap ID's from the database
include('../db.inc.php');
$query = "SELECT DISTINCT guestmap_id FROM guestmap2 ORDER BY guestmap_id";
$result = mysql_query($query);
while($gm = mysql_fetch_object($result)) {
	
	$gmList = $gmList.'<a href="?id='.$gm->guestmap_id.'">&nbsp;'.$gm->guestmap_id.'&nbsp;</a> ';
}

//display list of guestmap ID's and trim off spaces.
echo('<p>Guestmaps: '.trim($gmList).'</p>');

echo('<h2>Current GuestMap: '.$guestmap_id.'</h2>');

?>

<table>
<thead>
<tr>
<td>Name</td>
<td>Date</td>

<td>IP</td>
</tr>
</thead>
<tbody>
<?php

$i = 0;

//get the rows for this page + 1 extra
$query = "SELECT id, date, name, message, ip FROM guestmap2 WHERE guestmap_id=".$guestmap_id." ORDER BY date DESC LIMIT ".$limit_start.",".$limit_end;
$result = mysql_query($query);
while($gm = mysql_fetch_object($result)) {
	
	$i++;

	//if the extra row is found there must be a NEXT page
	if($i > ROW_COUNT) {
		$page_next = true;
		break;
	}

	echo('<tr><td>'.$gm->name.'</td><td>'.date(DATE_FORMAT, $gm->date).'</td><td>'.$gm->ip.'</tr><tr><td class="bRow" colspan="2" rowspan="2">'.$gm->message.'</td><td><a class="edit" href="edit.php?id='.$gm->id.'">edit</a></td></tr><tr><td class="bRow"><a class="delete" href="delete.php?id='.$gm->id.'" onclick="return confirm(\'Delete this message permanently?\')">delete</a></td></tr>');


}

echo('</tbody></table>');

//if this page number is higher than 1, there must be a PREVIOUS page
if($page > 1) {
	$page_prev = true;
}

//display link to PREVIOUS page
if($page_prev) {
	echo('<a href="?id='.$guestmap_id.'&amp;page='.($page - 1).'">previous</a>');
}

//display link to NEXT page
if($page_next) {
	
	//seperator between links
	if($page_prev) {
		echo(' - ');
	}

	echo('<a href="?id='.$guestmap_id.'&amp;page='.($page + 1).'">next</a>');
}


?>
</tbody>
</table>

<?php 

include('footer.inc.php');

?>