<?php

//minimum amount of seconds between placing icons from the same IP on the same guestmap
define('MIN_PLACE_TIME', 3600); 
define('OWNER_EMAIL', ''); //fill in e-mail to send message for each icon placed

//receive position from $_POST[]
$posX = intval($_POST['pos_x']);
$posY = intval($_POST['pos_y']);
$icon = intval($_POST['icon']);
$guestmap_id = intval($_POST['guestmap_id']);

//remove "dangerous" characters
$name = htmlspecialchars($_POST['name']);
$message = htmlspecialchars($_POST['message']);

//set an error when the name or message is shorter then 3 charcters.
if(strlen($name) < 3 || strlen($message) < 3) {
	$error = 'Name and/or message are too short';
}

//check if an emticon has been selected
if(!$icon > 0) {
	$error = 'No emoticon selected';
}

//include a file that connects to the database
include('db.inc.php');

//if no errors are found, check if a message has been posted from this IP within the last 3600 seconds (1 hour)
if(empty($error)) {
	
	$query = "SELECT id FROM guestmap2 WHERE date > (UNIX_TIMESTAMP() - ".MIN_PLACE_TIME.") AND ip='".$_SERVER['REMOTE_ADDR']."' AND guestmap_id='".$guestmap_id."'";
	$result = mysql_query($query,$db);

	if(mysql_num_rows($result) > 0) {
		$error = 'You can only place one icon per hour';
	}
}

//no errors? store all data
if(empty($error)) {
	$query = "INSERT INTO guestmap2 (guestmap_id, top_px, left_px, date, icon, name, message, ip, email) VALUES (".$guestmap_id.", ".$posY.", ".$posX.", UNIX_TIMESTAMP(), ".$icon.", '".$name."', '".$message."', '".$_SERVER['REMOTE_ADDR']."', '".$email."')";

	$result = mysql_query($query,$db);
	
	//send e-mail if configured so
	if(strlen(OWNER_EMAIL) > 0) {
		mail(OWNER_EMAIL, 'New GuestMap entry', "Date: ".date("d-m-Y H:i")."\nName: ".$name."\nMessage: ".$message."\nIP: ".$_SERVER['REMOTE_ADDR']."From: ".$name);
	}

} else {
	//store error message in a cookie
	setcookie('GM2error', $error, (time() + round(MIN_PLACE_TIME / 60)), '', '', 0);
}

//go back to the map
header('Location: '.$_SERVER['HTTP_REFERER']);

?>
